import java.util.ArrayList;
import java.util.Iterator;
import java.util.Collection;
import java.io.*;
import fi.jyu.mit.ohj2.*;

/**
 * Esimerkki Javan ArrayListin kytst Java 1.5:n geneerisyyden
 * ja "autoboxin" avulla.
 * @author Vesa Lappalainen
 * @version 1.0, 02.03.2002
 * @version 1.1, 01.03.2005
 */

public class ArrayListMalliGen {

  public static void tulosta(OutputStream os,  Collection luvut) {
    PrintStream out = Tiedosto.getPrintStream(os);
    for (Iterator<Integer> i = luvut.iterator(); i.hasNext(); ) {
      int luku = i.next();
      out.print(luku + " ");
    }
    out.println();
  }


  public static void main(String[] args) {
    ArrayList<Integer> luvut = new ArrayList<Integer>(7);
    try {
      luvut.add(0); luvut.add(2); luvut.add(99);
    } catch ( Exception e ) {
      System.out.println("Virhe: " + e.getMessage());
    }
    System.out.println(luvut);
    luvut.set(1,4);
    System.out.println(luvut);
    int luku = luvut.get(2);
    System.out.println("Paikassa 2 on " + luku);
    tulosta(System.out,luvut);
    try {
      luvut.set(21, 4);
    }
    catch (IndexOutOfBoundsException e) {
      System.out.println("Virhe: " + e.getMessage());
    }
  }
}
