import java.util.Vector;
import java.util.Iterator;
import java.io.*;
import fi.jyu.mit.ohj2.*;

/**
 * Esimerkki Javan vektorin kytst
 * @author Vesa Lappalainen
 * @version 1.0, 02.03.2002
 */

public class VectorMalli {

  public static void tulosta(OutputStream os,  Vector luvut) {
    PrintStream out = Tiedosto.getPrintStream(os);
    for (Iterator i = luvut.iterator(); i.hasNext(); ) {
      int luku = ((Integer)i.next()).intValue();
      out.print(luku + " ");
    }
    out.println();
  }


  public static void main(String[] args) {
    Vector luvut = new Vector(7);
    try {
      luvut.add(new Integer(0)); luvut.add(new Integer(2));
      luvut.add(new Integer(99));
    } catch ( Exception e ) {
      System.out.println("Virhe: " + e.getMessage());
    }
    System.out.println(luvut);
    luvut.set(1,new Integer(4));
    System.out.println(luvut);
    int luku = ((Integer)luvut.get(2)).intValue();
    System.out.println("Paikassa 2 on " + luku);
    tulosta(System.out,luvut);
    luvut.set(21,new Integer(4));
  }
}