/**
 * Tutkitaan olioviitteiden kyttytymist
 * @author Vesa Lappalainen
 * @version 1.0, 08.01.20003
 */
class Jonotesti {

  private static void tulosta(boolean b) {
    if ( b ) System.out.println("Samat ovat");
    else System.out.println("Erilaiset ovat");
  }

  public static void main(String[] args) {
    String s1 = "eka";
    String s2 = new String("eka");

    tulosta(s1 == s2);       // Erilaiset ovat
    tulosta(s1.equals(s2));  // Samat ovat

    int i1 = 11;
    int i2 = 10 + 1;

    tulosta(i1 == i2);       // Samat ovat

    Integer io1 = new Integer(3);
    Integer io2 = new Integer(3);

    tulosta(io1 == io2);       // Erilaiset ovat
    tulosta(io1.equals(io2));  // Samat ovat
    tulosta(io1.intValue()== io2.intValue()); // Samat ovat

    s2 = s1;
    tulosta(s1 == s2);       // Samat ovat
    
  }

}
