import java.io.*;
/**
 * Ohjelmalla lasketaan mittakaavamuunnoksia 1:200000 kartalta
 * @author Vesa Lappalainen
 * @version 1.0 / 05.01.2003
 */
class Matka_a2 {
  static final double MITTAKAAVA = 200000.0;
  static final double MM_KM      = 1000.0*1000.0;

  private static void ohjeet() {
    System.out.println("Lasken 1:" + MITTAKAAVA +
                       " kartalta millimetrein mitatun matkan");
    System.out.println("kilometrein luonnossa.");
  }

  private static int kysy_matka()
  {
    System.out.print("Anna matka millimetrein>");
    BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
    String s = "";
    try {
      s = in.readLine();
    }
    catch (IOException ex) {
    }
    if ( s.equals("") ) return 0;
    return Integer.parseInt(s);
  }

  private static double mittakaava_muunnos(int matka_mm)
  {
    return matka_mm*MITTAKAAVA/MM_KM;
  }

  private static void tulosta_matka(double matka_km)
  {
    System.out.println("Matka on luonnossa " + matka_km + " km.");
  }

  public static void main(String[] args) {
    int    matka_mm;
    double matka_km;

    ohjeet();
    matka_mm = kysy_matka();
    matka_km = mittakaava_muunnos(matka_mm);
    tulosta_matka(matka_km);
  }

}

