import java.io.*;

/**
 * <p>Title: Syotto</p>
 * <p>Description: Aliohjelmia tietojen lukemiseen ptteelt</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: jyu </p>
 * @author Vesa Lappalainen
 * @version 1.0/08.01.2003
 */

public class Syotto {
  /**
   * Kysytn kokonaisluku. Jos annetaan ei-luku, kysytn uudelleen.
   * @param kysymys nytlle tulostettava kysymys
   * @param oletus arvo jota kytetn jos painetaanpelkk Ret
   * @return kyttjn kirjoittama kokonaisluku
   */
  public static int kysy_int(String kysymys, int oletus)
  {
    BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
    while ( true ) {
      System.out.print(kysymys+" >");
      String s = "";
      try {
        s = in.readLine();
      } catch (IOException ex) {
        continue;
      }
      if ( ( s == null ) || ( s.equals("") ) ) return oletus;
      try {
        return Integer.parseInt(s);
      } catch (NumberFormatException ex) {
        System.out.println("Ei numero: " + s);
      }
    }
  }

  public static void main(String[] args) {
    int i;
    i = kysy_int("Anna kokonaisluku",12);
    System.out.println("Luku oli: " + i);
  }
}