import java.io.*;
/**
 * Testataan tietovirran viemist parametrina
 * @author  Vesa Lappalainen
 * @version 1.0, 19.01.2003
 */
public class Tulostustesti {

  private static void tulosta(OutputStream os,int h, int m) {
    PrintStream out = new PrintStream(os);
    out.println("" + h + ":" + m);
  }

  public static void main(String[] args) throws FileNotFoundException, IOException {
    int h=12, m=15;

    // Tulostaminen nyttn
    tulosta(System.out,h,m);

    // Tulostaminen tiedostoon
    FileOutputStream f = new FileOutputStream("Tulostustesti.txt");
    try {
      tulosta(f,h,m);
    } finally {
      f.close();
    }

    // Tulostaminen tavutietovirtaan, joka voidaan muuttaa sitten merkkijonoksi
    ByteArrayOutputStream bs = new ByteArrayOutputStream();
    tulosta(bs,h,m);
    String s = bs.toString();
    System.out.println(s); // Listty, jotta nhdn tulos.
  }

}
