/**
 *  Ohjelmalla testataan onko_alkuluku-aliohjelmaa
 *  @author Vesa Lappalainen
 *  @version 1.0, 17.01.2003
 *  @version 1.1, 16.02.2003
 */
public class Alkuluku2 {

  /**
   * Aliohjelmalla tutkitaan onko parametrina tuotu
   * luku alkuluku vai ei<br>
   * Algoritmi: Jaetaan tutkittavaa lukua jakajilla 2,3,5,7...luku/2.
   * Jos jokin jako menee tasan, niin ei alkuluku:
   * @param luku tutkittava luku
   * @return tieto siit, mill luvulla luku on jaollinen
   */
  public static int pienin_jakaja(int luku)
  {
    int jakaja=3;
    if ( luku == 2 ) return 1;
    if ( luku % 2 == 0 ) return 2;

    while ( jakaja < luku/2 ) {
      if ( luku % jakaja == 0 ) return jakaja;
      jakaja += 2;
    }

    return 1;
  }

  public static void main(String[] args) {
    int tulos;
    tulos = pienin_jakaja(25);
    System.out.println(tulos);
    tulos = pienin_jakaja(123);
    System.out.println(tulos);
    tulos = pienin_jakaja(7);
    System.out.println(tulos);
  }
}
