/**
 * Ohjelmalla tutkitaan postimaksua
 * @author Vesa Lappalainen
 * @version 1.0, 16.02.2003
 */
public class Postimaksu {

  /**
   * Palautetaan kirjemaksun suuruus. 0 tarkoittaa pakettia
   * @param paino tutkittavan kirjeen paino g
   * @return postimaksun suuruus 
   */
  static double postimaksu(double paino)
  {
    if      ( paino < 50 )   return  0.60;
    else if ( paino < 100 )  return  0.90;
    else if ( paino < 250 )  return  1.30;
    else if ( paino < 500 )  return  2.10;
    else if ( paino < 1000 ) return  3.50;
    else if ( paino < 2000 ) return  5.50;
    else                     return  0.00;
  }

  public static void main(String[] args)  {
    double maksu,paino=102;
    maksu = postimaksu(paino);
    System.out.println("Jos kirje painaa " + paino +
                       " g, maksaa sen lhettminen "+ maksu + " ");
  }
}
