import java.io.*;
import fi.jyu.mit.ohj2.*;
import java.util.StringTokenizer;

/**
 * Luokka sanojen esiintymismrien
 * @author Vesa Lappalainen
 * @version 1.0, 21.02.2003
 */
public class Sanat {

  private int lkm;
  private Sana alkiot[] = new Sana[10];

  public void lisaa(String jono) {
    for (int i=0; i<lkm; i++) {
      if ( alkiot[i].oletko(jono) ) {
        alkiot[i].lisaa();
        return;
      }
    }
    if ( alkiot.length >= lkm ) return;
    alkiot[lkm++] = new Sana(jono);
  }

  public void tulosta(OutputStream os) {
    PrintStream out = Tiedosto.getPrintStream(os);
    for (int i=0; i<lkm; i++)
      out.println(alkiot[i]);

  }

  public static void main(String[] args)  {
    Sanat sanat = new Sanat();
    sanat.lisaa("kissa");
    sanat.tulosta(System.out);
  }
}
