/**
 * KoiraP-luokka peritty elimest ja esimerkki polymorfismista
 * @author Vesa Lappalainen
 * @version 1.0, 06.02.2003
 *
*/
public class KoiraP extends Elain {

  public KoiraP(String nimi, double paino) {
    super(nimi,paino);
  }

  public void aantele() {
    System.out.println("Hau hau");
  }

  public static void main(String[] args) {

     KoiraP musti = new KoiraP("Musti",18000);
//     musti.aantele();
//     musti.tulosta();

     KoiraP pluto = new KoiraP("Pluto",1930);
//     pluto.aantele();
//     pluto.tulosta();

     Elain elukat[] = new Elain[4];
     elukat[0] = musti;
     elukat[1] = new KissaP("Mirri",18000);
     elukat[2] = pluto;
     elukat[3] = new KissaP("Miuku",980);

     for (int i=0; i<elukat.length; i++) {
       elukat[i].aantele();
       elukat[i].tulosta();
     }




  }
}
