import java.io.*;
/**
 * Ohjelmalla tulostetaan kertotaulu tiedostoon.  Jos tiedosto on
 * olemassa, jatketaan vanhan tiedoston pern.
 * @author Vesa Lappalainen
 * @version 1.0, 21.02.2003
 */
public class Kertotaulu {

  public static void main(String[] args)  {
    PrintStream fo = null;
    try {
      fo = new PrintStream(new FileOutputStream("taulu.txt",true));
    }  catch (FileNotFoundException ex) {
      System.out.println("Tiedosto ei aukea"); return;
    }

    int kerroin = 5;

    try {
      for (int i=0; i<10; i++)
        fo.println( i + "*" + kerroin + " = " + i*kerroin);
    } finally {
      fo.close();
    }
  }
}
