import java.text.MessageFormat;
/**
 * Ohjelma tulostaa tietoja kuutiosta "siistiss" muodossa
 * @author Vesa Lappalainen
 * @version 1.0, 04.01.2003
 */
class Kuutio3 {
  static final String TAHOKAS    = "Kuutiossa";
  static final int    KARKIA     =  8;
  static final int    SIVUTASOJA =  6;
  static final int    SARMIA     = 12;

  /**
   * Tulostaa 2 merkkijonoa ja yhden kokonaisluvun siististi
   * @param s1 Ensimminen tulostettava jono
   * @param i  tulostettava kokonaisluku
   * @param s2 toinen tulostettava jono
   */
  static void tulosta(String s1, int i, String s2) {
    Object arguments[] = {s1,new Integer(i),s2 };
    System.out.println(MessageFormat.format("{0} {1,number,#0} {2}",arguments));
  }

  public static void main(String[] args) {
    tulosta(TAHOKAS + " on", KARKIA    , "krke,");
    tulosta(""             , SIVUTASOJA, "sivutasoa ja");
    tulosta(""             , SARMIA    , "srm.");
  }
}
