import java.io.*;
/**
 * Ohjelmalla lasketaan mittakaavamuunnoksia 1:200000 kartalta
 * @author Vesa Lappalainen
 * @version 1.0 / 05.01.2003
 */
class Matka {
  static final double MITTAKAAVA = 200000.0;
  static final double MM_KM      = 1000.0*1000.0;

  public static void main(String[] args) {
    int    matka_mm;
    double matka_km;

    // Ohjeet
    System.out.println("Lasken 1:" + MITTAKAAVA +
                       " kartalta millimetrein mitatun matkan");
    System.out.println("kilometrein luonnossa.");

    // Syttpyynt ja vastauksen lukeminen
    System.out.print("Anna matka millimetrein>");

    BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
    String s = "";
    try {
      s = in.readLine();
    } catch (IOException ex) {
    }
    if ( s == null ) return;
    if ( s.equals("") ) return;
    matka_mm = Integer.parseInt(s);

    // Datan ksittely
    matka_km = matka_mm*MITTAKAAVA/MM_KM;

    // Tulostus
    System.out.println("Matka on luonnossa " + matka_km + " km.");
  }
}

