/**
 * Ohjelmalla lasketaan mittakaavamuunnoksia 1:200000 kartalta
 * @author Vesa Lappalainen
 * @version 1.0 / 05.01.2003
 */
public class Matka_a3 {
  static final double MITTAKAAVA = 200000.0;
  static final double MM_KM      = 1000.0*1000.0;

  /**
   * Tulostaa ohjelman kyttohjeet
   */
  private static void ohjeet() {
    System.out.println("Lasken 1:" + MITTAKAAVA +
                       " kartalta millimetrein mitatun matkan");
    System.out.println("kilometrein luonnossa.");
  }

  /**
   * Muuttaa mm mittakaavan mukaisesti kilometreiksi
   * @param matka_mm muutettavat millit
   * @return mittakavan mukaiset kilometrit
   */
  private static double mittakaava_muunnos(int matka_mm)
  {
    return matka_mm*MITTAKAAVA/MM_KM;
  }

  /**
   * Tulostaa matkan kilometrein
   * @param matka_km tulostettava kilometrimr
   */
  private static void tulosta_matka(double matka_km)
  {
    System.out.println("Matka on luonnossa " + matka_km + " km.");
  }

  /**
   * Varsinainen pohjelma matka kysymiseksi ja laskemiseksi
   * @param args ei kytt
   */
  public static void main(String[] args) {
    int    matka_mm;
    double matka_km;

    ohjeet();
    matka_mm = Syotto.kysy_int("Anna matka millimetrein",0);
    matka_km = mittakaava_muunnos(matka_mm);
    tulosta_matka(matka_km);
  }

}

