import fi.jyu.mit.ohj2.*;
/**
 * Ohjelmalla integroidaan numeerisesti funktio sin(x)
 * @author Vesa Lappalainen
 * @version 1.0, 25.03.2003
 */
public class Integroi {

  public static double integroi(double x1, double x2, int tiheys) {
    double x,dx,summa=0;

    dx = (x2- x1)/tiheys;

    for (x=x1+dx/2 ; x<x2; x+=dx)
      summa += Math.sin(x)*dx;

    return summa;
  }


  public static void main(String[] args)  {
    System.out.println("Integraali sin(x) vlilt [0,pi] on noin "+
                       Mjonot.fmt(integroi(0,Math.PI,100),7,5));
  }
}
