/**
 * Ensimminen kunnon olioesimerkki
 * @author  Vesa Lappalainen
 * @version 1.0, 01.02.2003
 */
public class Aika {

 private int h=0, m=0;

  /**
   * Alustaa ajan
   * @param h tunnit
   * @param m minuutit
   */
  public Aika(int h,int m) { // Muodostaja
    this.h = h;
    this.m = m;
  }

  /**
   * Tulostaa ajan muodossa 15:05
   */
  public void tulosta() {
    System.out.println("" + h + ":" + (m<10?"0":"")+m);
  }

  /**
   * Lis aikaan valitun minuuttimrn
   * @param lisa_min listtv minuuttimr
   */
  public void lisaa(int lisa_min)  {
    int yht_min = h * 60 + m + lisa_min;
    h = yht_min / 60;
    m = yht_min % 60;
  }

  public static void main(String[] args) {
    Aika a1 = new Aika(12,15);
    Aika a2 = new Aika(13,16);
    Aika a3 = new Aika(14,25);
    a1.lisaa(55);    a1.tulosta();
    a2.lisaa(27);    a2.tulosta();
    a3.lisaa(39);    a3.tulosta();
  }

}

