/**
 * Listn luokkaan oletusmuodostaja
 * @author  Vesa Lappalainen
 * @version 1.0, 01.02.2003
 */
public class Aika2 {

  private int h=0, m=0;

  public Aika2() { // Oletusmuodostaja
    h = 0; m = 0;
  }

  /**
   * Alustaa ajan
   * @param h tunnit
   * @param m minuutit
   */
  public Aika2(int h,int m) { // Muodostaja
    this.h = h;
    this.m = m;
  }

  /**
   * Tulostaa ajan muodossa 15:05
   */
  public void tulosta() {
    System.out.println("" + h + ":" + (m<10?"0":"")+m);
  }

  /**
   * Lis aikaan valitun minuuttimrn
   * @param lisa_min listtv minuuttimr
   */
  public void lisaa(int lisa_min)  {
    int yht_min = h * 60 + m + lisa_min;
    h = yht_min / 60;
    m = yht_min % 60;
  }

  public static void main(String[] args) {
    Aika2 a1 = new Aika2(12,15);
    Aika2 a2 = new Aika2(13,16);
    Aika2 a3 = new Aika2(14,25);
    a1.lisaa(55);    a1.tulosta();
    a2.lisaa(27);    a2.tulosta();
    a3.lisaa(39);    a3.tulosta();
    Aika2 aika = new Aika2();
    aika.tulosta();
  }

}

