/**
 * Rajapinta Aika-luokille
 * @author  Vesa Lappalainen
 * @version 1.0, 01.02.2003
 */
public interface AikaRajapinta {

  /**
   * Asettaa uuden ajan ja pit huolen ett aika on aina oikeaa muotoa.
   * @param h asetettavat tunnit
   * @param m asetettavat minuutit
   */
  void aseta(int h,int m);

  /**
   * Tulostaa ajan muodossa 15:05
   * @param lf tulostetaanko rivinvaihto vai ei
   */
  void tulosta(boolean lf);

  /**
   * Tulostaa ajan muodossa 15:05 sek aina rivinvaihdon
   */
  public void tulosta();

  /**
   * Lis aikaan valitun minuuttimrn
   * @param lisa_min listtv minuuttimr
   */
  void lisaa(int lisa_min);

  int getH();
  int getM();
}

