import java.io.*;
import fi.jyu.mit.ohj2.*;

/**
 * Ohjelmalla kydn koko hakemistopuu lvitse
 * @author Vesa Lappalainen
 * @version 1.0, 21.02.2003
 */
public class ListaaKaikki {

  public static void listaa_hakemisto(File nyky, String maski) {
    File tama_hakemisto[] = nyky.listFiles();

    for (int i=0; i<tama_hakemisto.length; i++ ) {
      File tiedosto = tama_hakemisto[i];
      if ( tiedosto.isDirectory() )
        listaa_hakemisto(tiedosto,maski);
      else if ( tiedosto.getName().matches(maski) )
//        System.out.println(tiedosto.getAbsolutePath());
        try {
          System.out.println(tiedosto.getCanonicalPath());
        } catch ( IOException e ) { }
    }
  }

  public static void main(String[] args) throws IOException {
    String aloitus = ".";
    String maski = ".*";
    if ( args.length > 0 ) aloitus = args[0];
    if ( args.length > 1 ) maski = args[1];
    File nyky = new File(aloitus);
    listaa_hakemisto(nyky,maski);
  }
}
