
import java.io.*;
/**
 * Ohjelmalla lasketaan tiedostossa olevien sanojen
 * esiintymismri.
 *<pre>
 * Tarvitaan luokat:
 * Sana
 * - lis laskuria
 * - tunnista sana
 *
 * Sanat
 * - lue tiedosto
 * - etsi sana
 * - ptki rivi
 *
 * Algoritmi:
 * 1) Lue tiedostosta rivi.
 * 2) Ptki rivi sanoiksi
 * 3) Lis kunkin sanan esiintymismr yhdell
 *      - jos sanaa ei viel ole ennestn, lis sana
 * 4) jatka 1) kunnes koko tiedosto ksitelty
 *
 *</pre>
 * @author Vesa Lappalainen
 * @version 1.0, 21.02.2003
 */
public class Sanalaskuri {

  public static void main(String[] args)  {
    Sanat sanat = new Sanat();
    try {
      sanat.lueTiedosto("sanat.txt");
    }
    catch (IOException ex) {
      System.out.println("Virhe: " + ex);
    }
    sanat.tulosta(System.out);
  }
}
